Package de.geolykt.starloader.mod

# Class DiscoveredExtension.ExternalRepository

java.lang.Object
de.geolykt.starloader.mod.DiscoveredExtension.ExternalRepository

Enclosing class:
  `DiscoveredExtension`

public static class DiscoveredExtension.ExternalRepository extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExternalRepository(@NotNull String name, @NotNull String url, boolean mirrorable, boolean mirrorOnly)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getName()`
`@NotNull String`
`getUrl()`
`boolean`
`isMirrorable()`
`boolean`
`isMirrorOnly()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExternalRepository

public ExternalRepository(@NotNull @NotNull String name, @NotNull @NotNull String url, boolean mirrorable, boolean mirrorOnly)

## Method Details

### getName

@NotNull public @NotNull String getName()

### getUrl

@NotNull public @NotNull String getUrl()

### isMirrorable

public boolean isMirrorable()

### isMirrorOnly

public boolean isMirrorOnly()